
using System;
using System.Collections.Generic;

namespace Dashboard
{
    /// <summary>
    /// Common interface for Dashboard objects that accept userdata.
    /// </summary>
    /// <remarks>
    /// Dashboard will call dispose on any and all objects which implement IDisposable.
    /// If this is an issue, please guard your object against this using a wrapper.
    /// </remarks
    public interface IDbUserdata : IDisposable
    {
        /// <summary>
        /// Userdata dictionary.
        /// </summary>
        public Dictionary<string, object> Userdata { get; }
    }
}